/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

/* ---------------------------------- */
/* --- Buffer                         */
/* ---------------------------------- */
#include "image_hex.h"

unsigned char gSendBuffer[54];
unsigned char gBufferPage;

/* ---------------------------------- */
/* --- Interrupt                      */
/* ---------------------------------- */



/* ---------------------------------- */
/* --- main routine                   */
/* ---------------------------------- */
void main()
{
    int i, j;
    int counter;
    gBufferPage = 0;
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    SPIM_1_Start();
    SPIM_1_EnableTxInt();
    SPIM_1_SetTxInterruptMode(SPIM_1_INT_ON_SPI_DONE);
    SPIM_1_TxEnable();
    isr_1_Start();

    CyGlobalIntEnable;
    
    Display_Write(1);

    gSendBuffer[0] = 0x04;
    gSendBuffer[1] = 0;
    SPIM_1_PutArray(gSendBuffer, 2);
    CyDelayCycles(100 * 48);

    counter = 0;
    for(i=0; i<240; i++) {
        gSendBuffer[0] = 0x01;
        gSendBuffer[1] = i+1;
        for(j=0; j<50; j++) {
            gSendBuffer[j+2] = gImage1[counter+j];
        }
        gSendBuffer[52] = 0;
        gSendBuffer[53] = 0;
        SPIM_1_PutArray(gSendBuffer, 54);
        counter += 50;
        CyDelayCycles(100 * 48);
    }    
    
    
    
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
